Page MenuHomePhabricator

Clean up naming conflicts around writing secondary schema data for Jade
Closed, ResolvedPublic

Description

  • ProposalLinkTable
    • should be EntityLinkTable
  • ProposalLinkHelper
    • should be EntityLinkHelper
    • table names should be jade_<entity_type>_judgment not jade_<entity_type>_proposal
  • ProposalEntityType
    • should be EntityType?
  • ProposalPageWikitextRenderer
    • should be EntityPageWikitextRenderer
  • ProposalSummarizer
    • should be EntitySummarizer
  • ProposalTarget
    • should be EntityTarget
  • ProposalValidator
    • should be EntityValidator

Event Timeline

Halfak triaged this task as Low priority.Dec 4 2019, 9:38 PM
Halfak removed a project: Epic.
Halfak moved this task from Unorganized to Maintenance/cleanup on the Machine-Learning-Team board.
ACraze updated the task description. (Show Details)Mar 18 2020, 12:21 AM

Change 584670 had a related patch set uploaded (by Accraze; owner: Accraze):
[mediawiki/extensions/Jade@master] Rename ProposalLinkTable -> EntityLinkTable

https://gerrit.wikimedia.org/r/584670

Change 584678 had a related patch set uploaded (by Accraze; owner: Accraze):
[mediawiki/extensions/Jade@master] Rename ProposalLinkTableHelper -> EntityLinkTableHelper

https://gerrit.wikimedia.org/r/584678

Change 584670 merged by jenkins-bot:
[mediawiki/extensions/Jade@master] Rename ProposalLinkTable -> EntityLinkTable

https://gerrit.wikimedia.org/r/584670

Change 584678 merged by jenkins-bot:
[mediawiki/extensions/Jade@master] Rename ProposalLinkTableHelper -> EntityLinkTableHelper

https://gerrit.wikimedia.org/r/584678

Change 585037 had a related patch set uploaded (by Accraze; owner: Accraze):
[mediawiki/extensions/Jade@master] Rename ProposalPageWikitextRenderer -> EntityPageWikitextRenderer

https://gerrit.wikimedia.org/r/585037

Change 585048 had a related patch set uploaded (by Accraze; owner: Accraze):
[mediawiki/extensions/Jade@master] Rename ProposalSummarizer -> EntitySummarizer

https://gerrit.wikimedia.org/r/585048

Change 585037 merged by jenkins-bot:
[mediawiki/extensions/Jade@master] Rename ProposalPageWikitextRenderer -> EntityPageWikitextRenderer

https://gerrit.wikimedia.org/r/585037

Change 585048 merged by jenkins-bot:
[mediawiki/extensions/Jade@master] Rename ProposalSummarizer -> EntitySummarizer

https://gerrit.wikimedia.org/r/585048

ACraze updated the task description. (Show Details)Apr 1 2020, 5:49 PM

Change 585315 had a related patch set uploaded (by Accraze; owner: Accraze):
[mediawiki/extensions/Jade@master] Rename ProposalValidator -> EntityValidator

https://gerrit.wikimedia.org/r/585315

Change 585346 had a related patch set uploaded (by Accraze; owner: Accraze):
[mediawiki/extensions/Jade@master] Rename ProposalTarget -> EntityTarget

https://gerrit.wikimedia.org/r/585346

Change 585315 merged by jenkins-bot:
[mediawiki/extensions/Jade@master] Rename ProposalValidator -> EntityValidator

https://gerrit.wikimedia.org/r/585315

Change 585346 merged by jenkins-bot:
[mediawiki/extensions/Jade@master] Rename ProposalTarget -> EntityTarget

https://gerrit.wikimedia.org/r/585346

ACraze updated the task description. (Show Details)Apr 2 2020, 4:39 PM

Change 585575 had a related patch set uploaded (by Accraze; owner: Accraze):
[mediawiki/extensions/Jade@master] Rename ProposalEntityType -> EntityType

https://gerrit.wikimedia.org/r/585575

Change 585575 merged by jenkins-bot:
[mediawiki/extensions/Jade@master] Rename ProposalEntityType -> EntityType

https://gerrit.wikimedia.org/r/585575

ACraze updated the task description. (Show Details)Apr 6 2020, 5:41 PM
Halfak closed this task as Resolved.Jun 22 2020, 4:37 PM